Skip to content
Navigation

Share one immutable draft preview with a named recipient

POST
https://api.sureshake.com/v2/entities/{id}/presentation/preview-grants

Path parameters

  • id
    string
    required
    format: uuid

Request body JSON required

  • versionId
    string
    required
    format: uuid
  • recipientIdentifier
    string
    required
    maxLength: 320 · minLength: 1
  • expiresAt
    string
    required
    format: date-time
  • operatorOverride
    optional
    object
    • confirmed
      true
      required
    • reason
      string
      required
      maxLength: 500 · minLength: 10

Returns

201

Default Response

JSON
  • data
    object
    required
    • grant
      object
      required
      • id
        string
        required
        format: uuid
      • presentationId
        string
        required
        format: uuid
      • entityId
        string
        required
        format: uuid
      • versionId
        string
        required
        format: uuid
      • recipientUserId
        string
        required
        minLength: 1
      • grantedByUserId
        string
        required
        minLength: 1
      • expiresAt
        string
        required
        format: date-time
      • revokedAt
        string
        or null
        required
        format: date-time
      • revokedByUserId
        string
        or null
        required
        minLength: 1
      • createdAt
        string
        required
        format: date-time
    • recipient
      object
      required
      • id
        string
        required
        minLength: 1
      • name
        string
        required
        minLength: 1
      • email
        string
        required
        format: email
    • status
      active
      or
      expired
      or
      revoked
      required
    • sharePath
      string
      required
      pattern: ^\/
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close